Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.config.impl
Class ConfigurationModuleProxy

    java.lang.Object
      be.ehealth.technicalconnector.config.impl.ConfigurationModuleProxy

All Implemented Interfaces:
  ConfigurationModule

    public final class ConfigurationModuleProxy

extends Object
implements ConfigurationModule

This configuration module will set the proxy that the connector must use to connect to the internet.

If no properties are specified in the configuration the system proxy will be used. Implementation of `ConfigurationModule`

Constructor Summary
`ConfigurationModuleProxy()`

Method Summary
`void` | `init(Configuration config)` Method that initialise the configuration module.
`void` | `unload()` Method that restores the configuration module and reset the system to the initial situation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationModuleProxy

    public ConfigurationModuleProxy()

Method Detail

### init

    public void init(Configuration config)

  Description copied from interface: `ConfigurationModule`
  Method that initialise the configuration module.

  Specified by:
    `init` in interface `ConfigurationModule`
  See Also:
    `ConfigurationModule.init(be.ehealth.technicalconnector.config.Configuration)`

### unload

    public void unload()

  Description copied from interface: `ConfigurationModule`
  Method that restores the configuration module and reset the system to the initial situation.

  Specified by:
    `unload` in interface `ConfigurationModule`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.